@echo off
cd BIOS

echo Checking ROM file .....
ckmode NC03U000.110 NC03U 4051
if errorlevel 1 goto end

:flash
call DISEUP.EXE
afudos NC03U000.110 /P /B /N
if errorlevel 1 goto end
fpt.exe -f NC03U000.110 -me
if errorlevel 1 goto end
fpt.exe -greset

:end
echo Update not sucessful.
cd ..
exit
